Bug 124065 - xmms causes high cpu loads for X
xmms causes high cpu loads for X
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 14:05 EDT by Christopher Stone
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 13:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2004-05-23 14:05:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040515 Firefox/0.8

Description of problem:
X normally takes up about 1% cpu load when idle.  However if you start
xmms, this jumps up to about 4-5% cpu load.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  run top and monitor X cpu load
2.  start xmms
3.  observe cpu load for X increasing by 500%
    

Actual Results:  X cpu load remains at a constant 5% cpu load or higher.

Expected Results:  X cpu load should be at 1% or so when idle.

Additional info:  xorg-x11-6.7.0-2
Comment 1 Christopher Stone 2004-05-23 17:01:41 EDT
Note:  After compiling a vanilla kernel and install nVidia drivers, I
can no longer reproduce this bug.
Comment 2 Ralf Ertzinger 2004-06-29 16:11:59 EDT
I am seeing this, too. It does not happen with all songs, and happens
only if xmms is shaded.

The effect disappears when Title Scrolling is disabled in the xmms
main window (even though the scrolling title is not even visible in
shaded mode)

The X CPU load is ~20% on a 1200MHz Duron.
Comment 3 Colin Walters 2004-09-21 23:07:37 EDT
Can you narrow this down to particular songs?  How often does it happen?

Comment 4 Ralf Ertzinger 2004-09-22 06:51:52 EDT
I tried to find a freely available MP3 to reproduce this, and found
"Every OS sucks", by Three Dead Trolls in a Baggie, available for
download here:
http://www.ampcast.com/music/22488/artist.php

Reproducing the effect:
- delete ~/.xmms/xmms.m3u
- start xmms
- unshade the main window
- disable autoscrolling title (right click on title)
- start mp3 playing (CPU usage is low. 6-8%, backgorund noise)
- shade main window (cpu usage is low)
- unshade main window, enable title scrollong (cpu usage is low)
- shade main window (cpu usage goes up to ~25-30%)
- look at top, see X take 18-20% CPU time
- unshade main window (cpu usage is low again)
Comment 5 Christopher Stone 2004-09-22 09:22:28 EDT
RedHat should remove xmms and replace it with Beep Media Player.
Comment 6 Colin Walters 2004-09-22 13:51:52 EDT
Moved upstream here:
http://bugs.xmms.org/show_bug.cgi?id=1908


Comment 7 Ralf Ertzinger 2004-09-23 10:13:41 EDT
While I agree that BMP looks cool, it shows exactly the same bahaviour :)
Comment 8 Christopher Stone 2004-10-13 18:07:31 EDT
I was under the impression that beep-media-player fixed the problem, 
but you are right.  Actually, loading the nVidia module and using 
nvidia driver fixes the problem for me.  If this were an xmms bug,
then why would using a different driver fix the problem?  I'm thinking
it's something with xorg-x11.
Comment 9 Colin Walters 2004-10-13 18:14:38 EDT
Ralf, do you have an nvidia card too?
Comment 10 Ralf Ertzinger 2004-10-14 08:06:33 EDT
Yes, I do (GeForce2MX, NV11).

I nocticed something interesting today. The problem goes away (almost
completely) when not using a framebuffer console.

I was using vesafb as the console driver, and using this, the
behaviour I described above occurs.
When not using a fb console, "scrolling when shaded" still uses more
CPU than scrolling while not shaded", but the effect is much smaller
(5-7% unshaded, 7-9% shaded).

Using rivafb shows the same effect as using no fb at all, so this is
somehow tied to the vesafb.

I think it may have something to do with mtrr settings, these are
different when using vesafv vs no fb/rivafb (the two latter are equal)
Comment 11 Christopher Stone 2004-10-14 13:21:49 EDT
I should probably not that I too have a GeForce2MX, NV11.

Note You need to log in before you can comment on or make changes to this bug.